#!/bin/sh
export PATH='/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: free
version: 4.12.1
id: free-4.12.1-c8b0247cb2e1c910ff2b7811aa02a68a
key: free_Cn1pFb1fIXkLhWftS4gYCr
license: BSD3
copyright: Copyright (C) 2008-2015 Edward A. Kmett
maintainer: Edward A. Kmett <ekmett@gmail.com>
stability: provisional
homepage: http://github.com/ekmett/free/
synopsis: Monads for free
description:
    Free monads are useful for many tree-like structures and domain specific languages.
    .
    If @f@ is a '\''Functor'\'' then the free '\''Monad'\'' on @f@ is the type
    of trees whose nodes are labeled with the constructors of @f@. The word
    \"free\" is used in the sense of \"unrestricted\" rather than \"zero-cost\":
    @Free f@ makes no constraining assumptions beyond those given by @f@ and the
    definition of '\''Monad'\''. As used here it is a standard term from the
    mathematical theory of adjoint functors.
    .
    Cofree comonads are dual to free monads. They provide convenient ways to talk
    about branching streams and rose-trees, and can be used to annotate syntax
    trees. The cofree comonad can be seen as a stream parameterized by a '\''Functor'\''
    that controls its branching factor.
    .
    More information on free monads, including examples, can be found in the
    following blog posts:
    <http://comonad.com/reader/2008/monads-for-free/>
    <http://comonad.com/reader/2011/free-monads-for-less/>
category: Control, Monads
author: Edward A. Kmett
exposed: True
exposed-modules:
    Control.Applicative.Free Control.Applicative.Free.Final
    Control.Applicative.Trans.Free Control.Alternative.Free
    Control.Alternative.Free.Final Control.Comonad.Cofree
    Control.Comonad.Cofree.Class Control.Comonad.Trans.Cofree
    Control.Comonad.Trans.Coiter Control.Monad.Free
    Control.Monad.Free.Church Control.Monad.Free.Class
    Control.Monad.Free.TH Control.Monad.Trans.Free
    Control.Monad.Trans.Free.Church Control.Monad.Trans.Iter
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.10.2/free-4.12.1
library-dirs: /usr/local/lib/cabal/ghc-7.10.2/free-4.12.1
              /usr/local/lib
data-dir: /usr/local/share/cabal/ghc-7.10.2/free-4.12.1
hs-libraries: HSfree-4.12.1-Cn1pFb1fIXkLhWftS4gYCr
include-dirs: /usr/local/include
depends:
    base-4.8.1.0-9cc67f4e5e6328730727313d0bc5e35f
    bifunctors-5-fa8b912da4cd7594f47f3ba4070d7485
    comonad-4.2.7.2-f146eb98b8872f5e90a1b965d785c7e6
    distributive-0.4.4-1254ec357618fb29ffd170a9b195cbc3
    exceptions-0.8.0.2-ee397d4a2d409d9e05e24555c5fafbec
    mtl-2.2.1-6281cd9698784dbc328cef3b013b905d
    prelude-extras-0.4-89df97c75b21fa5170f53042f213eeae
    profunctors-5.1.1-962fe2984a1f8de459d52917c662cd99
    semigroupoids-5.0.0.3-4c97072519bdc1a3bed5d8c0d81e9f43
    semigroups-0.16.2.2-d219c9202cd1ff8b5079fa0cf0161390
    template-haskell-2.10.0.0-50be769ad8939d8e8caca364b0b694f2
    transformers-0.4.2.0-1c92f7031c1e04e17d9abe73932eb485
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.10.2/free-4.12.1/html/free.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.10.2/free-4.12.1/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
